Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class SampleReferenceVector

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.util.QTVector
                        |
                        +--quicktime.std.movies.media.SampleReferenceVector

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class SampleReferenceVector
extends QTVector

This class represents a SampleReferenceVector which is an array of SampleReference objects.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SampleReferenceVector(int numberOfElements)` Creates a SampleReferenceVector which is an array of SampleReference objects.

Method Summary
`SampleReference` | `get(int pos)` Get a SampleReference at specified position.
`void` | `insert(SampleReference el, int pos)` Inserts a SampleReference into the vector at specified position.

Methods inherited from class quicktime.util.QTVector
`elements, getSize, isEmpty, remove, removeAll, size`

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SampleReferenceVector

    public SampleReferenceVector(int numberOfElements)
                          throws QTException

  Creates a SampleReferenceVector which is an array of SampleReference objects.
  Parameters:
    `numberOfElements` - This is the number of elements the Vector will hold - it is NOT growable

Method Detail

### insert

    public void insert(SampleReference el,
                       int pos)
                throws QTException,
                       java.lang.ArrayIndexOutOfBoundsException

  Inserts a SampleReference into the vector at specified position.

### get

    public SampleReference get(int pos)
                        throws java.lang.ArrayIndexOutOfBoundsException,
                               QTException

  Get a SampleReference at specified position.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD